import base from "./base";
import axios from '../utils/request'
const api ={
    /**登录接口 */
    login(params){
        return axios.post(base.baseUrl + base.login,params)
    },
    /**注册接口 */
    register(params){
        return axios.post(base.baseUrl + base.register ,params)
    },
    /**商品列表
     * 
     */
     selectTbItemAllByPage(params){
        // console.log(params);
        return axios.get(base.baseUrl + base.selectTbItemAllByPage ,{params})
     },
     /**
      * 获取总条数
      */
      total(){
          return axios.get(base.baseUrl + base.total )
      },
      /**
       * 模糊查询
       */
       search(params){
           
           return axios.get(base.baseUrl + base.search,{params})
       },
       /**
        * 类目选择
        */
        selectItemCategoryByParentId(params){
            return axios.get(base.baseUrl + base.selectItemCategoryByParentId)
        }
}
export default api